com.jogamp.gluegen

## Enum JavaEmitter.EmissionStyle

- java.lang.Object
- - java.lang.Enum<JavaEmitter.EmissionStyle>
  - - com.jogamp.gluegen.JavaEmitter.EmissionStyle

- All Implemented Interfaces:
    Serializable, Comparable<JavaEmitter.EmissionStyle>
  Enclosing class:
    JavaEmitter

      public static enum JavaEmitter.EmissionStyle
      extends Enum<JavaEmitter.EmissionStyle>

  Style of code emission. Can emit everything into one class (AllStatic), separate interface and implementing classes (InterfaceAndImpl), only the interface (InterfaceOnly), or only the implementation (ImplOnly).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AllStatic`
    `ImplOnly`
    `InterfaceAndImpl`
    `InterfaceOnly`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JavaEmitter.EmissionStyle` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JavaEmitter.EmissionStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AllStatic

          public static final JavaEmitter.EmissionStyle AllStatic

    - #### InterfaceAndImpl

          public static final JavaEmitter.EmissionStyle InterfaceAndImpl

    - #### InterfaceOnly

          public static final JavaEmitter.EmissionStyle InterfaceOnly

    - #### ImplOnly

          public static final JavaEmitter.EmissionStyle ImplOnly

  - ### Method Detail

    - #### values

          public static JavaEmitter.EmissionStyle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JavaEmitter.EmissionStyle c : JavaEmitter.EmissionStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JavaEmitter.EmissionStyle valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null